BambooIsland: TiXmlDocument Class Reference

BambooIsland Abgabe 2

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# TiXmlDocument Class Reference

`#include <tinyxml.h>`

Inheritance diagram for TiXmlDocument:

List of all members.

## Public Member Functions

| TiXmlDocument ()
| Create an empty document, that has no name.
| TiXmlDocument (const char *documentName)
| Create a document with a name. The name of the document is also the filename of the xml.
| TiXmlDocument (const TiXmlDocument &copy)
void | operator= (const TiXmlDocument &copy)
bool | LoadFile (TiXmlEncoding encoding=TIXML_DEFAULT_ENCODING)
bool | SaveFile () const
| Save a file using the current document value. Returns true if successful.
bool | LoadFile (const char *filename, TiXmlEncoding encoding=TIXML_DEFAULT_ENCODING)
| Load a file using the given filename. Returns true if successful.
bool | SaveFile (const char *filename) const
| Save a file using the given filename. Returns true if successful.
bool | LoadFile (FILE *, TiXmlEncoding encoding=TIXML_DEFAULT_ENCODING)
bool | SaveFile (FILE *) const
| Save a file using the given FILE*. Returns true if successful.
virtual const char * | Parse (const char *p, TiXmlParsingData *data=0, TiXmlEncoding encoding=TIXML_DEFAULT_ENCODING)
const TiXmlElement * | RootElement () const
TiXmlElement * | RootElement ()
bool | Error () const
const char * | ErrorDesc () const
| Contains a textual (english) description of the error if one occurs.
int | ErrorId () const
int | ErrorRow () const
int | ErrorCol () const
| The column where the error occured. See ErrorRow()
void | SetTabSize (int _tabsize)
int | TabSize () const
void | ClearError ()
void | Print () const
virtual void | Print (FILE *cfile, int depth=0) const
| Print this Document to a FILE stream.
void | SetError (int err, const char *errorLocation, TiXmlParsingData *prevData, TiXmlEncoding encoding)
virtual const TiXmlDocument * | ToDocument () const
| Cast to a more defined type. Will return null not of the requested type.
virtual TiXmlDocument * | ToDocument ()
| Cast to a more defined type. Will return null not of the requested type.
virtual bool | Accept (TiXmlVisitor *content) const

## Protected Member Functions

virtual TiXmlNode * | Clone () const

## Detailed Description

Always the top level node. A document binds together all the XML pieces. It can be saved, loaded, and printed to the screen. The 'value' of a document node is the xml file name.

Definition at line 1386 of file tinyxml.h.

## Member Function Documentation

bool TiXmlDocument::Accept | ( | TiXmlVisitor * | content | ) | const`[virtual]`

Walk the XML tree visiting this node and all of its children.

Implements TiXmlNode.

Definition at line 1111 of file tinyxml.cpp.

void TiXmlDocument::ClearError | ( |  | ) | `[inline]`

If you have handled the error, it can be reset with this call. The error state is automatically cleared if you Parse a new XML block.

Definition at line 1504 of file tinyxml.h.

TiXmlNode * TiXmlDocument::Clone | ( |  | ) | const`[protected, virtual]`

Create an exact duplicate of this node and return it. The memory must be deleted by the caller.

Implements TiXmlNode.

Definition at line 1089 of file tinyxml.cpp.

bool TiXmlDocument::Error | ( |  | ) | const`[inline]`

If an error occurs, Error will be set to true. Also,

- The ErrorId() will contain the integer identifier of the error (not generally useful)
- The ErrorDesc() method will return the name of the error. (very useful)
- The ErrorRow() and ErrorCol() will return the location of the error (if known)

Definition at line 1453 of file tinyxml.h.

int TiXmlDocument::ErrorId | ( |  | ) | const`[inline]`

Generally, you probably want the error string ( ErrorDesc() ). But if you prefer the ErrorId, this function will fetch it.

Definition at line 1461 of file tinyxml.h.

int TiXmlDocument::ErrorRow | ( |  | ) | const`[inline]`

Returns the location (if known) of the error. The first column is column 1, and the first row is row 1. A value of 0 means the row and column wasn't applicable (memory errors, for example, have no row/column) or the parser lost the error. (An error in the error reporting, in that case.)

See also:
  SetTabSize, Row, Column

Definition at line 1470 of file tinyxml.h.

bool TiXmlDocument::LoadFile | ( | TiXmlEncoding | encoding = `TIXML_DEFAULT_ENCODING` | ) |

Load a file using the current document value. Returns true if successful. Will delete any existing document data before loading.

Definition at line 909 of file tinyxml.cpp.

bool TiXmlDocument::LoadFile | ( | FILE * | file,
|  | TiXmlEncoding | encoding = `TIXML_DEFAULT_ENCODING`
| ) |  |

Load a file using the given FILE*. Returns true if successful. Note that this method doesn't stream - the entire object pointed at by the FILE* will be interpreted as an XML file. TinyXML doesn't stream in XML from the current file location. Streaming may be added in the future.

Definition at line 941 of file tinyxml.cpp.

const char * TiXmlDocument::Parse | ( | const char * | p,
|  | TiXmlParsingData * | data = `0`,
|  | TiXmlEncoding | encoding = `TIXML_DEFAULT_ENCODING`
| ) |  | `[virtual]`

Parse the given null terminated block of xml data. Passing in an encoding to this method (either TIXML_ENCODING_LEGACY or TIXML_ENCODING_UTF8 will force TinyXml to use that encoding, regardless of what TinyXml might otherwise try to detect.

Implements TiXmlBase.

Definition at line 704 of file tinyxmlparser.cpp.

void TiXmlDocument::Print | ( |  | ) | const`[inline]`

Write the document to standard out using formatted printing ("pretty print").

Definition at line 1512 of file tinyxml.h.

const TiXmlElement* TiXmlDocument::RootElement | ( |  | ) | const`[inline]`

Get the root element -- the only top level element -- of the document. In well formed XML, there should only be one. TinyXml is tolerant of multiple elements at the document level.

Definition at line 1445 of file tinyxml.h.

void TiXmlDocument::SetTabSize | ( | int | _tabsize | ) | `[inline]`

SetTabSize() allows the error reporting functions (ErrorRow() and ErrorCol()) to report the correct values for row and column. It does not change the output or input in any way.

By calling this method, with a tab size greater than 0, the row and column of each node and attribute is stored when the file is loaded. Very useful for tracking the DOM back in to the source file.

The tab size is required for calculating the location of nodes. If not set, the default of 4 is used. The tabsize is set per document. Setting the tabsize to 0 disables row/column tracking.

Note that row and column tracking is not supported when using operator>>.

The tab size needs to be enabled before the parse or load. Correct usage:

    		TiXmlDocument doc;
    		doc.SetTabSize( 8 );
    		doc.Load( "myfile.xml" );

See also:
  Row, Column

Definition at line 1497 of file tinyxml.h.

The documentation for this class was generated from the following files:

- C:/Users/easterbunny/Desktop/Echtzeitgraphik-LU/trunk/src/tinyxml.h
- C:/Users/easterbunny/Desktop/Echtzeitgraphik-LU/trunk/src/tinyxml.cpp
- C:/Users/easterbunny/Desktop/Echtzeitgraphik-LU/trunk/src/tinyxmlparser.cpp

All Classes Functions Variables Enumerations Enumerator